﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebDbTest02.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title></title>
</head>
<body>
  <form id="form1" runat="server">
    <div>
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ 
        ConnectionStrings:Test01ConnectionString %>"
        SelectCommand="SELECT * FROM [Table1]"></asp:SqlDataSource>

      <asp:FormView ID="FormView1" runat="server" AllowPaging="True" DataKeyNames="Id" DataSourceID="SqlDataSource1" OnItemDeleting="FormView1_ItemDeleting">
        <EditItemTemplate>
          <br />
          Id:
          <asp:Label ID="IdLabel1" runat="server" Text='<%# Eval("Id") %>' />
          <br />
          名前:
          <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
          <br />
          生年月日:
          <asp:TextBox ID="BirthdayTextBox" runat="server" Text='<%# Bind("Birthday", "{0:d}") %>' />
          <br />
          <br />
          <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="更新" />
          &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="キャンセル" />
        </EditItemTemplate>
        <InsertItemTemplate>
          <br />
          名前:
          <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
          <br />
          生年月日:
          <asp:TextBox ID="BirthdayTextBox" runat="server" Text='<%# Bind("Birthday", "{0:d}") %>' />
          <br />
          <br />
          <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" Text="挿入" />
          &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="キャンセル" />
        </InsertItemTemplate>
        <ItemTemplate>
          <br />
          Id:
          <asp:Label ID="IdLabel" runat="server" Text='<%# Eval("Id") %>' />
          <br />
          名前:
          <asp:Label ID="NameLabel" runat="server" Text='<%# Bind("Name") %>' />
          <br />
          生年月日:
          <asp:Label ID="BirthdayLabel" runat="server" Text='<%# Bind("Birthday", "{0:d}") %>' />
          <br />
          <br />

          <asp:LinkButton ID="LinkButton1" runat="server"
            CommandName="Edit">編集</asp:LinkButton>
          <asp:LinkButton ID="LinkButton2" runat="server"
            CommandName="Delete">削除</asp:LinkButton>
          <asp:LinkButton ID="LinkButton3" runat="server"
            CommandName="New">新規</asp:LinkButton>

        </ItemTemplate>

        <PagerSettings Position="Top" />
      </asp:FormView>
    </div>
  </form>
</body>
</html>
